<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <style type="text/css">
        body div{
            text-align: center;
        }
        label, input[type=text], input[type=password]{
            display: inline-block;
            width: 150px;
            margin: 5px;
        }
        input [type=submit]{
            width: 60px;
            margin: 10px;
            padding: 10px;
            text-align: center;
        }
    </style>
</head>
<body>
    <div>
        <div>
            <h2>Please login</h2>
        </div>
        <div th:if="${param.error}">
            <h3>Invalid username or password</h3>
        </div>
        <form th:action="@{/login}" method="post">
            <div>
                <label>Username: </label>
                <input type="text" name="username">
            </div>
            <div>
                <label>Password: </label>
                <input type="password" name="password">
            </div>
            <div>
                <input type="submit" value="Login">
            </div>

        </form>
    </div>

</body>
</html>